//************************************************************
//	Copyright (c) 1993
// 	Realise par l'equipe d'Analyse d'Images
//	Laboratoire de Traitement du Signal et Instrumentation
//	Universite de Saint-Etienne
//	France
//************************************************************

#ifndef C
#define C

#define Module(c) sqrt((c).x*(c).x+(c).y*(c).y)

Image        TransfereC(Image imS, Image imD);
Image        MultC(Image imS1, Image imS2, Image imD);
Image 		 ConstMultC(Image imS, Image imD, Reel cteX,Reel cteY);
Image        NiveauC(Image imS, Image imD, Reel valeurX,Reel valeurY);
Image        ExtraitFenetreC(Image imS, Image imD);
Image        ConjugueC (Image imS,Image imD);
Image 		 PermuteXYC(Image imS,Image imD);
Image 		 TransfereXYC(Image imX,Image imY,Image imD);
Image 		 TransCourbeImageLC(Image imLS,Image imD);

int			 MinMaxModuleC(Image imS, Reel *min, Reel *max);
int   		 PosMinMaxModuleC(Image imS, Point *posMin, Point *posMax, Reel *min, Reel *max);
Image 		 MaxMod1DirC(Image imS,Image imD);
Image 		 MaxMod2DirC(Image imS,Image imD);
Image 		 OuEtenduC(Image imS1,Image imS2,Image imD);
Image 		 VecteurCorrelationC(Image imS,Image imD);

#endif
